Bug 215680 - Allow to provide additional binary classes to submit breakpoints on
Allow to provide additional binary classes to submit breakpoints on
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.2
All All
: P2 (vote)
: 7.3
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST, PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 12:24 UTC by Martin Entlicher
Modified: 2012-08-08 02:34 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API change with a test included. (43.42 KB, patch)
2012-07-28 14:44 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2012-07-18 12:24:30 UTC
Some debugger integrations need to use additional binary class names when submitting breakpoints.
For instance, JRebel needs to set breakpoints also to "<class name>$$M$*" classes.
It needs to be possible to register a service, that provide this information.
Comment 1 Martin Entlicher 2012-07-25 15:44:02 UTC
I suggest to add an abstract class like:
public abstract class BreakpointsClassFilter {
    public abstract String[] filterClassNames(String[] classNames, JPDABreakpoint breakpoint);
}
which could be implemented and registered into the system.
It would be called by the breakpoint implementation classes, when submitting breakpoint requests.
Comment 2 Martin Entlicher 2012-07-28 14:44:16 UTC
Created attachment 122486 [details]
The proposed API change with a test included.
Comment 3 Martin Entlicher 2012-07-28 14:45:01 UTC
Please review the proposed API change.
Comment 4 Martin Entlicher 2012-08-06 13:50:54 UTC
Thanks for the review, I'm going to push this API change tomorrow.
Comment 5 Martin Entlicher 2012-08-07 09:26:11 UTC
Pushed as changeset:   227825:e65d14ccee87
http://hg.netbeans.org/main/rev/e65d14ccee87
Comment 6 Quality Engineering 2012-08-08 02:34:50 UTC
Integrated into 'main-golden', will be available in build *201208080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e65d14ccee87
User: mentlicher@netbeans.org
Log: #215680: Allow to change the binary classes to which breakpoints are submitted. BreakpointsClassFilter API introduced.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo